## gimagereader 2.93

=== debian/changelog ===
gimagereader (2.93-2) unstable; urgency=low

  * Fix build failure on Hurd and kFreeBSD due to missing check in configure.ac
  * Bump Standards-Version to 3.9.6 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 06 Oct 2014 21:01:23 +0200

gimagereader (2.93-1) unstable; urgency=low

  * Initial release (closes: #748350)

 -- Philip Rinn <rinni@inventati.org>  Wed, 20 Aug 2014 00:12:16 +0200
