## gimagereader 3.1

=== debian/changelog ===
gimagereader (3.1-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:37:00 +0000

gimagereader (3.1-1) unstable; urgency=medium

  * new upstream version
  * add build dependency: libgtksourceviewmm-3.0-dev
  * drop patch debian/patches/01-desktop-entry-lacks-keywords-entry.patch
    - applied upstream
  * add patch debian/patches/01-fix_build_on_armel.patch:
    - fix build failure on armel
  * debian/control: update Vcs-Browser field to use new URL syntax
  * update debian/copyright

 -- Philip Rinn <rinni@inventati.org>  Tue, 12 May 2015 23:15:14 +0200

gimagereader (3.0.1-1) unstable; urgency=low

  * new upstream version
  * drop patch debian/patches/02-detect-sane-on-hurd-and-kfreebsd.patch
    - build system switched to cmake
  * register documentation with doc-base

 -- Philip Rinn <rinni@inventati.org>  Mon, 20 Apr 2015 00:15:45 +0200
