=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf-archive,
- intltool (>= 0.35.0), libgtkspellmm-3.0-dev, libgtkmm-3.0-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
+Build-Depends: debhelper (>= 9), cmake, intltool (>= 0.35.0),
+ libgtkspellmm-3.0-dev, libgtkmm-3.0-dev,  libgtksourceviewmm-3.0-dev,
  libcairomm-1.0-dev, libpoppler-glib-dev, libtesseract-dev, libsane-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: git://anonscm.debian.org/collab-maint/gimagereader.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gimagereader.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gimagereader.git
 
 Package: gimagereader
 Architecture: any
