## gimagereader 3.1.2

=== debian/changelog ===
gimagereader (3.1.2-1build1) wily; urgency=medium

  * No-change rebuild for libstdc++ ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 16:13:31 +0200

gimagereader (3.1.2-1) unstable; urgency=medium

  * new upstream version (closes: #785656, #794489)
  * update debian/copyright
  * fix spelling errors in debian/control

 -- Philip Rinn <rinni@inventati.org>  Fri, 14 Aug 2015 16:29:02 +0200
