## gimagereader 3.1.2+git368fa8f

=== debian/changelog ===
gimagereader (3.1.2+git368fa8f-2build1) xenial; urgency=medium

  * No-change rebuild against libtesseract3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Apr 2016 00:29:07 +0000

gimagereader (3.1.2+git368fa8f-2) unstable; urgency=medium

  * add debian/patches/02-make_build_reproducible.patch:
    - make build reproducible
  * Bump Standards-Version to 3.9.7 (no changes necessary)
  * Use secure URIs for vcs-* in debian/control

 -- Philip Rinn <rinni@inventati.org>  Sat, 27 Feb 2016 15:40:28 +0100

gimagereader (3.1.2+git368fa8f-1) unstable; urgency=medium

  * Pick upstream snapshot (closes: #802391)
  * update debian/copyright

 -- Philip Rinn <rinni@inventati.org>  Sat, 31 Oct 2015 20:15:29 +0100
