=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends: debhelper (>= 9), cmake, intltool (>= 0.35.0),
  libgtkspellmm-3.0-dev, libgtkmm-3.0-dev,  libgtksourceviewmm-3.0-dev,
  libcairomm-1.0-dev, libpoppler-glib-dev, libtesseract-dev, libsane-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/manisandro/gImageReader
-Vcs-Git: git://anonscm.debian.org/collab-maint/gimagereader.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gimagereader.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gimagereader.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gimagereader.git
 
 Package: gimagereader
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Graphical GTK+ front-end to tesseract-ocr
  gImageReader is a simple GTK+ front-end to tesseract-ocr. Tesseract is probably
- the most accurate open source optial character recognition (OCR) sotfware and
+ the most accurate open source optical character recognition (OCR) software and
  can recognize text in over 60 languages.
  .
  gImageReader supports automatic page layout detection but the user can also
