## gimagereader 3.1.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,16 @@
 INCLUDE(GSettings)
 SET(ENV{LC_ALL} "C")
 
+
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.1.2)
+SET(PACKAGE_VERSION 3.1.91)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
+
 # Variables
-SET(INTERFACE_TYPE "qt4" CACHE STRING "Select interface type: qt4/qt5/gtk")
+SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt4/qt5/gtk")
 MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
@@ -46,6 +48,7 @@
 ADD_DEFINITIONS(-DENABLE_VERSIONCHECK=${ENABLE_VERSIONCHECK})
 ADD_DEFINITIONS(-DMANUAL_DIR=\"${MANUAL_DIR}\")
 ADD_DEFINITIONS(-std=c++11)
+
 
 # Dependencies
 FIND_PACKAGE(Gettext REQUIRED)
@@ -65,36 +68,50 @@
 IF("${INTERFACE_TYPE}" STREQUAL "gtk")
     PKG_CHECK_MODULES(GTKMM REQUIRED gtkmm-3.0)
     PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
-    PKG_CHECK_MODULES(GTKSPELLMM REQUIRED gtkspellmm-3.0)
+    PKG_CHECK_MODULES(GTKSPELLMM REQUIRED gtkspellmm-3.0>=3.0.4)
     PKG_CHECK_MODULES(CAIROMM REQUIRED cairomm-1.0)
+    PKG_CHECK_MODULES(PANGOMM REQUIRED pangomm-1.4)
     PKG_CHECK_MODULES(POPPLER REQUIRED poppler-glib)
+    PKG_CHECK_MODULES(JSONGLIB REQUIRED json-glib-1.0)
+    PKG_CHECK_MODULES(LIBXMLPP REQUIRED libxml++-2.6)
     INCLUDE_DIRECTORIES(
         ${GTKMM_INCLUDE_DIRS}
         ${GTKSOURCEVIEWMM_INCLUDE_DIRS}
         ${GTKSPELLMM_INCLUDE_DIRS}
         ${CAIROMM_INCLUDE_DIRS}
+        ${PANGOMM_INCLUDE_DIRS}
         ${POPPLER_INCLUDE_DIRS}
+        ${JSONGLIB_INCLUDE_DIRS}
+        ${LIBXMLPP_INCLUDE_DIRS}
     )
     SET(gimagereader_LIBS
         ${GTKMM_LDFLAGS}
         ${GTKSOURCEVIEWMM_LDFLAGS}
         ${GTKSPELLMM_LDFLAGS}
         ${CAIROMM_LDFLAGS}
+        ${PANGOMM_LDFLAGS}
         ${POPPLER_LDFLAGS}
+        ${JSONGLIB_LDFLAGS}
+        ${LIBXMLPP_LDFLAGS}
     )
     SET(srcdir "gtk")
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt4")
     SET(CMAKE_AUTOMOC ON)
     FIND_PACKAGE(Qt4 REQUIRED)
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt4)
+    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt4>=0.8.0)
     PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt4)
-    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS})
-    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS})
+    PKG_CHECK_MODULES(QJSON REQUIRED QJson)
+    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QJSON_INCLUDE_DIRS})
+    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QJSON_LDFLAGS})
     SET(srcdir "qt")
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
     SET(CMAKE_AUTOMOC ON)
+    FIND_PACKAGE(Qt5DBus REQUIRED)
+    FIND_PACKAGE(Qt5Network REQUIRED)
     FIND_PACKAGE(Qt5Widgets REQUIRED)
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt5)
+    FIND_PACKAGE(Qt5Xml REQUIRED)
+    FIND_PACKAGE(Qt5PrintSupport REQUIRED)
+    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt5>=0.8.0)
     PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt5)
     INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS})
     SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS})
@@ -108,12 +125,19 @@
 
 # Files
 FILE(GLOB gimagereader_SRCS ${srcdir}/src/*.cc)
+# sort lists to avoid dependency on readdir() order and make build reproducible
+LIST(SORT gimagereader_SRCS)
 FILE(GLOB gimagereader_HDRS ${srcdir}/src/*.hh)
+LIST(SORT gimagereader_HDRS)
 FILE(GLOB gimagereader_FORMS ${srcdir}/data/*.ui)
+LIST(SORT gimagereader_FORMS)
 FILE(GLOB gimagereader_ICONS data/icons/*.png)
+LIST(SORT gimagereader_ICONS)
 FILE(GLOB gimagereader_PO po/*.po)
+LIST(SORT gimagereader_PO)
 IF("${srcdir}" STREQUAL "qt")
     FILE(GLOB gimagereader_RESOURCES qt/data/*.qrc)
+    LIST(SORT gimagereader_RESOURCES)
 ENDIF()
 IF(UNIX)
     LIST(APPEND gimagereader_SRCS ${srcdir}/src/scanner/ScannerSane.cc)
@@ -133,7 +157,9 @@
         DEPENDS ${CMAKE_SOURCE_DIR}/gtk/data/gimagereader.gresource.xml
                 ${CMAKE_SOURCE_DIR}/gtk/data/gimagereader.ui
                 ${CMAKE_SOURCE_DIR}/gtk/data/crashhandler.ui
-                ${CMAKE_SOURCE_DIR}/gtk/data/appmenu.ui)
+                ${CMAKE_SOURCE_DIR}/gtk/data/appmenu.ui
+                ${CMAKE_SOURCE_DIR}/gtk/data/editor_text.ui
+                ${CMAKE_SOURCE_DIR}/gtk/data/editor_hocr.ui)
     LIST(APPEND gimagereader_SRCS gimagereader.gresource.c)
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt4")
     QT4_WRAP_UI(gimagereader_FORMS_HEADERS ${gimagereader_FORMS})
@@ -190,10 +216,10 @@
 SET_TARGET_PROPERTIES(gimagereader PROPERTIES COMPILE_FLAGS "-fopenmp")
 SET_TARGET_PROPERTIES(gimagereader PROPERTIES OUTPUT_NAME gimagereader-${INTERFACE_TYPE})
 IF("${INTERFACE_TYPE}" STREQUAL "qt4")
-    QT4_USE_MODULES(gimagereader Core Gui Network DBus)
+    QT4_USE_MODULES(gimagereader Core Gui Network DBus Xml)
     ADD_DEPENDENCIES(gimagereader gettextizeui)
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
-    QT5_USE_MODULES(gimagereader Widgets Network DBus)
+    QT5_USE_MODULES(gimagereader Widgets Network DBus Xml PrintSupport)
     ADD_DEPENDENCIES(gimagereader gettextizeui)
 ENDIF()
