=== debian/changelog ===
gimagereader (3.1.91-2) unstable; urgency=medium

  * add debian/patches/02-fix-ftbfs.patch:
    - Fix FTBFS due to missing implicit bool conversion
  * Fix typo in doc-base file

 -- Philip Rinn <rinni@inventati.org>  Wed, 28 Sep 2016 19:59:40 +0200

gimagereader (3.1.91-1) unstable; urgency=medium

  * new upstream version (closes: LP: #1579707):
    - remove all patches as they are merged upstream
  * add debian/patches/01-catch-segfaults-tesseract.patch:
    - catch deliberate segfaults created by tesseract
  * update debian/copyright
  * Bump Standards-Version to 3.9.8 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 13 Jun 2016 19:49:08 +0200
