=== debian/control ===
--- 
+++ 
@@ -2,17 +2,30 @@
 Section: graphics
 Priority: optional
 Maintainer: Philip Rinn <rinni@inventati.org>
-Build-Depends: debhelper (>= 9), cmake, intltool (>= 0.35.0),
- libgtkspellmm-3.0-dev, libgtkmm-3.0-dev,  libgtksourceviewmm-3.0-dev,
- libcairomm-1.0-dev, libpoppler-glib-dev, libtesseract-dev, libsane-dev
-Standards-Version: 3.9.7
+Build-Depends:
+ cmake,
+ debhelper (>= 9),
+ intltool (>= 0.35.0),
+ libcairomm-1.0-dev,
+ libgtkmm-3.0-dev,
+ libgtksourceviewmm-3.0-dev,
+ libgtkspellmm-3.0-dev (>= 3.0.4),
+ libjson-glib-dev,
+ libpangomm-1.4-dev,
+ libpoppler-glib-dev,
+ libsane-dev,
+ libtesseract-dev,
+ libxml++2.6-dev,
+Standards-Version: 3.9.8
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gimagereader.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gimagereader.git
 
 Package: gimagereader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Graphical GTK+ front-end to tesseract-ocr
  gImageReader is a simple GTK+ front-end to tesseract-ocr. Tesseract is probably
  the most accurate open source optical character recognition (OCR) software and
