=== debian/changelog ===
gimagereader (3.2.0-1) unstable; urgency=medium

  * new upstream version:
    - remove all patches as they are merged upstream
    - Add builddependencies libjpeg-dev and libpodofo-dev
  * Bump debhelper compat from 9 to 10 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Thu, 24 Nov 2016 22:17:44 +0100
