=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  intltool (>= 0.35.0),
  libcairomm-1.0-dev,
  libgtkmm-3.0-dev,
  libgtksourceviewmm-3.0-dev,
  libgtkspellmm-3.0-dev (>= 3.0.4),
+ libjpeg-dev,
  libjson-glib-dev,
  libpangomm-1.4-dev,
+ libpodofo-dev,
  libpoppler-glib-dev,
  libsane-dev,
  libtesseract-dev,
