## gimagereader 3.2.1

=== debian/changelog ===
gimagereader (3.2.1-1build1) artful; urgency=medium

  * No-change rebuild against libpodofo0.9.5.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 22 Jun 2017 18:38:21 +0200

gimagereader (3.2.1-1) unstable; urgency=medium

  * new upstream version (closes: #856206)

 -- Philip Rinn <rinni@inventati.org>  Wed, 14 Jun 2017 15:39:57 +0200
