=== debian/changelog ===
gimagereader (3.2.3-3build1) disco; urgency=medium

  * No-change rebuild against libpodofo0.9.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:09:09 +0000

gimagereader (3.2.3-3) unstable; urgency=medium

  * add debian/patches/04_set_local_c_for_tesseract.patch:
    - Adapt for tesseract 4.x aborting if LANG!=C (closes: #906243)

 -- Philip Rinn <rinni@inventati.org>  Thu, 16 Aug 2018 22:19:01 +0200

gimagereader (3.2.3-2) unstable; urgency=medium

  * add debian/patches/01_fix-appstream-metadata.patch:
    - Use current format and location for appstream metadata
  * add debian/patches/02_remove-pixdata-conversions.patch:
    - Remove pixdata conversions (closes: #886139)
  * add debian/patches/03_fix-slowdown-with-tesseract4.patch:
    - Fix massive slowdown with tesseract 4.00dev
  * Bump Standards-Version to 4.1.3 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Fri, 05 Jan 2018 16:08:46 +0100

gimagereader (3.2.3-1) unstable; urgency=medium

  * new upstream version
  * Bump Standards-Version to 4.0.0 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 17 Jul 2017 12:49:39 +0200
