=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  cmake,
  debhelper (>= 10),
@@ -18,10 +19,10 @@
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/manisandro/gImageReader
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gimagereader.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gimagereader.git
+Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
+Vcs-Browser: https://salsa.debian.org/debian/gimagereader
 
 Package: gimagereader
 Architecture: any
