=== debian/changelog ===
gimagereader (3.3.0-1) unstable; urgency=medium

  [ Philip Rinn ]
  * New upstream version (closes: #889633):
    - Add build dependencies libdjvulibre-dev, libzip-dev, python3-gi, uuid-dev
  * Drop patches that are applied upstream:
    - debian/patches/01_fix-appstream-metadata.patch
    - debian/patches/02_remove-pixdata-conversions.patch
    - debian/patches/04_set_local_c_for_tesseract.patch
  * Bump Standards-Version to 4.2.1 (no changes necessary)
  * Bump debhelper compat version to 11 (no changes necessary)
  * Add upstream metadata
  * Update debian/copyright

  [ Ondřej Nový ]
  * debian/copyright: Use https protocol in Format field

 -- Philip Rinn <rinni@inventati.org>  Mon, 26 Nov 2018 22:32:05 +0100
