=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  intltool (>= 0.35.0),
  libcairomm-1.0-dev,
+ libdjvulibre-dev,
  libgtkmm-3.0-dev,
  libgtksourceviewmm-3.0-dev,
  libgtkspellmm-3.0-dev (>= 3.0.4),
@@ -19,7 +19,10 @@
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
-Standards-Version: 4.1.3
+ libzip-dev,
+ python3-gi,
+ uuid-dev,
+Standards-Version: 4.2.1
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
